summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-shells/bash')
-rw-r--r--app-shells/bash/bash-2.05b_p13.ebuild71
-rw-r--r--app-shells/bash/bash-3.0_p22.ebuild81
-rw-r--r--app-shells/bash/bash-3.1_p23.ebuild70
-rw-r--r--app-shells/bash/bash-3.2_p57.ebuild74
-rw-r--r--app-shells/bash/bash-4.0_p44.ebuild74
-rw-r--r--app-shells/bash/bash-4.1_p17.ebuild62
-rw-r--r--app-shells/bash/bash-4.2_p53.ebuild70
-rw-r--r--app-shells/bash/bash-4.3_p48-r2.ebuild58
-rw-r--r--app-shells/bash/bash-4.4_p23-r2.ebuild20
-rw-r--r--app-shells/bash/bash-5.0_p18.ebuild20
-rw-r--r--app-shells/bash/files/autoconf-mktime-2.59.patch4
-rw-r--r--app-shells/bash/files/bash-3.0-crash.patch4
-rw-r--r--app-shells/bash/files/bash-3.0-pgrp-pipe-fix.patch4
-rw-r--r--app-shells/bash/files/bash-3.0-read-builtin-pipe.patch4
-rw-r--r--app-shells/bash/files/bash-3.0-trap-fg-signals.patch4
-rw-r--r--app-shells/bash/files/bash-3.0-volatile-command.patch4
-rw-r--r--app-shells/bash/files/bash-3.1-ulimit.patch12
-rw-r--r--app-shells/bash/files/bash-3.2-process-subst.patch4
-rw-r--r--app-shells/bash/files/bash-3.2-session-leader.patch4
-rw-r--r--app-shells/bash/files/bash-3.2-ulimit.patch4
-rw-r--r--app-shells/bash/files/bash-4.1-fbsd-eaccess.patch4
-rw-r--r--app-shells/bash/files/bash-4.2-dev-fd-buffer-overflow.patch4
-rw-r--r--app-shells/bash/files/bash-4.4-popd-offset-overflow.patch4
-rw-r--r--app-shells/bash/files/bash-4.x-deferred-heredocs.patch4
24 files changed, 337 insertions, 327 deletions
diff --git a/app-shells/bash/bash-2.05b_p13.ebuild b/app-shells/bash/bash-2.05b_p13.ebuild
index f5a44266db77..9c9eb79db32a 100644
--- a/app-shells/bash/bash-2.05b_p13.ebuild
+++ b/app-shells/bash/bash-2.05b_p13.ebuild
@@ -1,19 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI=7
-inherit eutils flag-o-matic toolchain-funcs
+inherit flag-o-matic toolchain-funcs
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-2.05b-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -43,7 +43,19 @@ RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
DEPEND="${RDEPEND}
static? ( ${LIB_DEPEND} )"
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.05b-destdir.patch
+ "${FILESDIR}"/autoconf-mktime-2.53.patch #220040
+ "${FILESDIR}"/${PN}-2.05b-protos.patch
+ "${FILESDIR}"/${PN}-2.05b-empty-herestring.patch
+ "${FILESDIR}"/${PN}-2.05b-rbash.patch #26854
+ "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
+ "${FILESDIR}"/${PN}-2.05b-jobs.patch
+ "${FILESDIR}"/${PN}-2.05b-fix-job-warning.patch
+ "${FILESDIR}"/${PN}-3.1-dev-fd-buffer-overflow.patch #431850
+)
pkg_setup() {
if is-flag -malign-double ; then #7332
@@ -59,28 +71,28 @@ src_unpack() {
src_prepare() {
# Include official patches
- [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
# Clean out local libs so we know we use system ones
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
- epatch "${FILESDIR}"/${PN}-2.05b-destdir.patch
- epatch "${FILESDIR}"/autoconf-mktime-2.53.patch #220040
- epatch "${FILESDIR}"/${PN}-2.05b-protos.patch
- epatch "${FILESDIR}"/${PN}-2.05b-empty-herestring.patch
- epatch "${FILESDIR}"/${PN}-2.05b-rbash.patch #26854
- epatch "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
- epatch "${FILESDIR}"/${PN}-2.05b-jobs.patch
- epatch "${FILESDIR}"/${PN}-2.05b-fix-job-warning.patch
- epatch "${FILESDIR}"/${PN}-3.1-dev-fd-buffer-overflow.patch #431850
-
- epatch_user
+ default
}
src_configure() {
- local myconf=()
+ local myconf=(
+ --with-installed-readline=.
+ --with-curses
+ $(use_with afs)
+ $(use_enable net net-redirections)
+ --disable-profiling
+ --without-gnu-malloc
+ $(use_enable readline)
+ $(use_enable readline history)
+ $(use_enable readline bang-history)
+ )
# Force pgrp synchronization
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=81653
@@ -118,18 +130,7 @@ src_configure() {
# This old autoconf script does not re-exec itself properly and fails when
# /bin/sh is not bash. Rather than try to regen everything, just force the
# use of bash directly.
- CONFIG_SHELL="/bin/bash" \
- econf \
- --with-installed-readline=. \
- --with-curses \
- $(use_with afs) \
- $(use_enable net net-redirections) \
- --disable-profiling \
- --without-gnu-malloc \
- $(use_enable readline) \
- $(use_enable readline history) \
- $(use_enable readline bang-history) \
- "${myconf[@]}"
+ CONFIG_SHELL="/bin/bash" econf "${myconf[@]}"
}
src_install() {
diff --git a/app-shells/bash/bash-3.0_p22.ebuild b/app-shells/bash/bash-3.0_p22.ebuild
index cfd3e4195cb0..6437d45fb536 100644
--- a/app-shells/bash/bash-3.0_p22.ebuild
+++ b/app-shells/bash/bash-3.0_p22.ebuild
@@ -1,19 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI=7
-inherit eutils flag-o-matic toolchain-funcs
+inherit flag-o-matic toolchain-funcs
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-3.0-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -43,7 +43,22 @@ RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
DEPEND="${RDEPEND}
static? ( ${LIB_DEPEND} )"
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/autoconf-mktime-2.53.patch #220040
+ "${FILESDIR}"/${PN}-3.0-protos.patch
+ "${FILESDIR}"/${PN}-3.0-rbash.patch #26854
+ "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
+ "${FILESDIR}"/${PN}-3.0-darwin-conn.patch #79124
+ # read patch headers for more info ... many ripped from Fedora/Debian[17]/SuSe/upstream
+ "${FILESDIR}"/${PN}-3.0-{afs,crash,jobs,manpage,pwd,ulimit,histtimeformat,locale,multibyteifs,subshell,volatile-command}.patch
+ "${FILESDIR}"/${PN}-3.0-read-builtin-pipe.patch #87093
+ "${FILESDIR}"/${PN}-3.0-trap-fg-signals.patch
+ "${FILESDIR}"/${PN}-3.0-pgrp-pipe-fix.patch #92349
+ "${FILESDIR}"/${PN}-3.0-strnlen.patch
+ "${FILESDIR}"/${PN}-3.1-dev-fd-buffer-overflow.patch #431850
+)
pkg_setup() {
if is-flag -malign-double ; then #7332
@@ -59,36 +74,28 @@ src_unpack() {
src_prepare() {
# Include official patches
- [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
# Clean out local libs so we know we use system ones
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
- epatch "${FILESDIR}"/autoconf-mktime-2.53.patch #220040
- epatch "${FILESDIR}"/${PN}-3.0-protos.patch
- epatch "${FILESDIR}"/${PN}-3.0-rbash.patch #26854
- epatch "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
- epatch "${FILESDIR}"/${PN}-3.0-darwin-conn.patch #79124
- # read patch headers for more info ... many ripped from Fedora/Debian[17]/SuSe/upstream
- for i in afs crash jobs manpage pwd ulimit histtimeformat \
- locale multibyteifs subshell \
- volatile-command
- do
- epatch "${FILESDIR}"/${PN}-3.0-${i}.patch
- done
- epatch "${FILESDIR}"/${PN}-3.0-read-builtin-pipe.patch #87093
- epatch "${FILESDIR}"/${PN}-3.0-trap-fg-signals.patch
- epatch "${FILESDIR}"/${PN}-3.0-pgrp-pipe-fix.patch #92349
- epatch "${FILESDIR}"/${PN}-3.0-strnlen.patch
- epatch "${FILESDIR}"/${PN}-3.1-dev-fd-buffer-overflow.patch #431850
-
- epatch_user
+ default
}
src_configure() {
- local myconf=()
+ local myconf=(
+ --with-installed-readline=.
+ --with-curses
+ $(use_with afs)
+ $(use_enable net net-redirections)
+ --disable-profiling
+ --without-gnu-malloc
+ $(use_enable readline)
+ $(use_enable readline history)
+ $(use_enable readline bang-history)
+ )
# Force pgrp synchronization
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=81653
@@ -123,17 +130,7 @@ src_configure() {
# ncurses in one or two small places :(.
tc-export AR #444070
- econf \
- --with-installed-readline=. \
- --with-curses \
- $(use_with afs) \
- $(use_enable net net-redirections) \
- --disable-profiling \
- --without-gnu-malloc \
- $(use_enable readline) \
- $(use_enable readline history) \
- $(use_enable readline bang-history) \
- "${myconf[@]}"
+ econf "${myconf[@]}"
}
src_install() {
diff --git a/app-shells/bash/bash-3.1_p23.ebuild b/app-shells/bash/bash-3.1_p23.ebuild
index 05a7f9dd6087..ad1a7e46c428 100644
--- a/app-shells/bash/bash-3.1_p23.ebuild
+++ b/app-shells/bash/bash-3.1_p23.ebuild
@@ -1,19 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI=7
-inherit eutils flag-o-matic toolchain-funcs
+inherit flag-o-matic toolchain-funcs
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -43,7 +43,19 @@ RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
DEPEND="${RDEPEND}
static? ( ${LIB_DEPEND} )"
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/autoconf-mktime-2.53.patch #220040
+ "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
+ "${FILESDIR}"/${PN}-3.1-protos.patch
+ "${FILESDIR}"/${PN}-3.1-ulimit.patch
+ "${FILESDIR}"/${PN}-3.0-read-memleak.patch
+ "${FILESDIR}"/${PN}-3.0-trap-fg-signals.patch
+ "${FILESDIR}"/${PN}-3.1-fix-dash-login-shell.patch #118257
+ "${FILESDIR}"/${PN}-3.1-dev-fd-test-as-user.patch #131875
+ "${FILESDIR}"/${PN}-3.1-dev-fd-buffer-overflow.patch #431850
+)
pkg_setup() {
if is-flag -malign-double ; then #7332
@@ -59,28 +71,28 @@ src_unpack() {
src_prepare() {
# Include official patches
- [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
# Clean out local libs so we know we use system ones
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
- epatch "${FILESDIR}"/autoconf-mktime-2.53.patch #220040
- epatch "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
- epatch "${FILESDIR}"/${PN}-3.1-protos.patch
- epatch "${FILESDIR}"/${PN}-3.1-ulimit.patch
- epatch "${FILESDIR}"/${PN}-3.0-read-memleak.patch
- epatch "${FILESDIR}"/${PN}-3.0-trap-fg-signals.patch
- epatch "${FILESDIR}"/${PN}-3.1-fix-dash-login-shell.patch #118257
- epatch "${FILESDIR}"/${PN}-3.1-dev-fd-test-as-user.patch #131875
- epatch "${FILESDIR}"/${PN}-3.1-dev-fd-buffer-overflow.patch #431850
-
- epatch_user
+ default
}
src_configure() {
- local myconf=()
+ local myconf=(
+ --with-installed-readline=.
+ --with-curses
+ $(use_with afs)
+ $(use_enable net net-redirections)
+ --disable-profiling
+ --without-gnu-malloc
+ $(use_enable readline)
+ $(use_enable readline history)
+ $(use_enable readline bang-history)
+ )
# Force pgrp synchronization
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=81653
@@ -115,17 +127,7 @@ src_configure() {
# ncurses in one or two small places :(.
tc-export AR #444070
- econf \
- --with-installed-readline=. \
- --with-curses \
- $(use_with afs) \
- $(use_enable net net-redirections) \
- --disable-profiling \
- --without-gnu-malloc \
- $(use_enable readline) \
- $(use_enable readline history) \
- $(use_enable readline bang-history) \
- "${myconf[@]}"
+ econf "${myconf[@]}"
}
src_install() {
diff --git a/app-shells/bash/bash-3.2_p57.ebuild b/app-shells/bash/bash-3.2_p57.ebuild
index 1c31b22879b6..f555e3f03de1 100644
--- a/app-shells/bash/bash-3.2_p57.ebuild
+++ b/app-shells/bash/bash-3.2_p57.ebuild
@@ -1,19 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI=7
-inherit eutils flag-o-matic toolchain-funcs
+inherit flag-o-matic toolchain-funcs
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-3.2-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -43,7 +43,21 @@ RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
DEPEND="${RDEPEND}
static? ( ${LIB_DEPEND} )"
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/autoconf-mktime-2.59.patch #220040
+ "${FILESDIR}"/${PN}-3.2-loadables.patch
+ "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
+ "${FILESDIR}"/${PN}-3.2-protos.patch
+ "${FILESDIR}"/${PN}-3.2-session-leader.patch #231775
+ "${FILESDIR}"/${PN}-3.2-ldflags-for-build.patch #211947
+ "${FILESDIR}"/${PN}-3.2-process-subst.patch
+ "${FILESDIR}"/${PN}-3.2-ulimit.patch
+ "${FILESDIR}"/${PN}-3.0-trap-fg-signals.patch
+ "${FILESDIR}"/${PN}-3.2-dev-fd-test-as-user.patch #131875
+ "${FILESDIR}"/${PN}-4.2-dev-fd-buffer-overflow.patch #431850
+)
pkg_setup() {
if is-flag -malign-double ; then #7332
@@ -59,30 +73,28 @@ src_unpack() {
src_prepare() {
# Include official patches
- [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
# Clean out local libs so we know we use system ones
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
- epatch "${FILESDIR}"/autoconf-mktime-2.59.patch #220040
- epatch "${FILESDIR}"/${PN}-3.2-loadables.patch
- epatch "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
- epatch "${FILESDIR}"/${PN}-3.2-protos.patch
- epatch "${FILESDIR}"/${PN}-3.2-session-leader.patch #231775
- epatch "${FILESDIR}"/${PN}-3.2-ldflags-for-build.patch #211947
- epatch "${FILESDIR}"/${PN}-3.2-process-subst.patch
- epatch "${FILESDIR}"/${PN}-3.2-ulimit.patch
- epatch "${FILESDIR}"/${PN}-3.0-trap-fg-signals.patch
- epatch "${FILESDIR}"/${PN}-3.2-dev-fd-test-as-user.patch #131875
- epatch "${FILESDIR}"/${PN}-4.2-dev-fd-buffer-overflow.patch #431850
-
- epatch_user
+ default
}
src_configure() {
- local myconf=()
+ local myconf=(
+ --with-installed-readline=.
+ --with-curses
+ $(use_with afs)
+ $(use_enable net net-redirections)
+ --disable-profiling
+ --without-gnu-malloc
+ $(use_enable readline)
+ $(use_enable readline history)
+ $(use_enable readline bang-history)
+ )
# Force pgrp synchronization
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=81653
@@ -117,17 +129,7 @@ src_configure() {
# ncurses in one or two small places :(.
tc-export AR #444070
- econf \
- --with-installed-readline=. \
- --with-curses \
- $(use_with afs) \
- $(use_enable net net-redirections) \
- --disable-profiling \
- --without-gnu-malloc \
- $(use_enable readline) \
- $(use_enable readline history) \
- $(use_enable readline bang-history) \
- "${myconf[@]}"
+ econf "${myconf[@]}"
}
src_install() {
diff --git a/app-shells/bash/bash-4.0_p44.ebuild b/app-shells/bash/bash-4.0_p44.ebuild
index a3dd97b7f88c..560929519b51 100644
--- a/app-shells/bash/bash-4.0_p44.ebuild
+++ b/app-shells/bash/bash-4.0_p44.ebuild
@@ -1,19 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI=7
-inherit eutils flag-o-matic toolchain-funcs
+inherit flag-o-matic toolchain-funcs
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-4.0-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -43,7 +43,18 @@ RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
DEPEND="${RDEPEND}
static? ( ${LIB_DEPEND} )"
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.0-configure.patch #304901
+ "${FILESDIR}"/${PN}-4.x-deferred-heredocs.patch
+
+ "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
+ "${FILESDIR}"/${PN}-4.0-ldflags-for-build.patch #211947
+ "${FILESDIR}"/${PN}-4.0-negative-return.patch
+ "${FILESDIR}"/${PN}-4.0-parallel-build.patch #267613
+ "${FILESDIR}"/${PN}-4.2-dev-fd-buffer-overflow.patch #431850
+)
pkg_setup() {
if is-flag -malign-double ; then #7332
@@ -59,28 +70,32 @@ src_unpack() {
src_prepare() {
# Include official patches
- [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
# Clean out local libs so we know we use system ones
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
- epatch "${FILESDIR}"/${PN}-4.0-configure.patch #304901
- epatch "${FILESDIR}"/${PN}-4.x-deferred-heredocs.patch
- sed -i '1i#define NEED_FPURGE_DECL' execute_cmd.c # needs fpurge() decl
- epatch "${FILESDIR}"/${PN}-2.05b-parallel-build.patch #41002
- epatch "${FILESDIR}"/${PN}-4.0-ldflags-for-build.patch #211947
- epatch "${FILESDIR}"/${PN}-4.0-negative-return.patch
- epatch "${FILESDIR}"/${PN}-4.0-parallel-build.patch #267613
- epatch "${FILESDIR}"/${PN}-4.2-dev-fd-buffer-overflow.patch #431850
- sed -i '/\.o: .*shell\.h/s:$: pathnames.h:' Makefile.in #267613
-
- epatch_user
+ default
+
+ sed -i '1i#define NEED_FPURGE_DECL' execute_cmd.c || die # needs fpurge() decl
+ sed -i '/\.o: .*shell\.h/s:$: pathnames.h:' Makefile.in || die #267613
}
src_configure() {
- local myconf=()
+ local myconf=(
+ --with-installed-readline=.
+ --with-curses
+ $(use_with afs)
+ $(use_enable net net-redirections)
+ --disable-profiling
+ $(use_enable mem-scramble)
+ $(use_with mem-scramble bash-malloc)
+ $(use_enable readline)
+ $(use_enable readline history)
+ $(use_enable readline bang-history)
+ )
# For descriptions of these, see config-top.h
# bashrc/#26952 bash_logout/#90488 ssh/#24762 mktemp/#574426
@@ -111,18 +126,7 @@ src_configure() {
# ncurses in one or two small places :(.
tc-export AR #444070
- econf \
- --with-installed-readline=. \
- --with-curses \
- $(use_with afs) \
- $(use_enable net net-redirections) \
- --disable-profiling \
- $(use_enable mem-scramble) \
- $(use_with mem-scramble bash-malloc) \
- $(use_enable readline) \
- $(use_enable readline history) \
- $(use_enable readline bang-history) \
- "${myconf[@]}"
+ econf "${myconf[@]}"
}
src_install() {
diff --git a/app-shells/bash/bash-4.1_p17.ebuild b/app-shells/bash/bash-4.1_p17.ebuild
index bf95280c8391..9c68ac62d283 100644
--- a/app-shells/bash/bash-4.1_p17.ebuild
+++ b/app-shells/bash/bash-4.1_p17.ebuild
@@ -1,19 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI=7
-inherit eutils flag-o-matic toolchain-funcs
+inherit flag-o-matic toolchain-funcs
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-4.1-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -43,7 +43,14 @@ RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
DEPEND="${RDEPEND}
static? ( ${LIB_DEPEND} )"
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.1-fbsd-eaccess.patch #303411
+
+ "${FILESDIR}"/${PN}-4.1-parallel-build.patch
+ "${FILESDIR}"/${PN}-4.2-dev-fd-buffer-overflow.patch #431850
+)
pkg_setup() {
if is-flag -malign-double ; then #7332
@@ -59,23 +66,31 @@ src_unpack() {
src_prepare() {
# Include official patches
- [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
# Clean out local libs so we know we use system ones
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
- epatch "${FILESDIR}"/${PN}-4.1-fbsd-eaccess.patch #303411
- sed -i '1i#define NEED_FPURGE_DECL' execute_cmd.c # needs fpurge() decl
- epatch "${FILESDIR}"/${PN}-4.1-parallel-build.patch
- epatch "${FILESDIR}"/${PN}-4.2-dev-fd-buffer-overflow.patch #431850
+ default
- epatch_user
+ sed -i '1i#define NEED_FPURGE_DECL' execute_cmd.c || die # needs fpurge() decl
}
src_configure() {
- local myconf=()
+ local myconf=(
+ --with-installed-readline=.
+ --with-curses
+ $(use_with afs)
+ $(use_enable net net-redirections)
+ --disable-profiling
+ $(use_enable mem-scramble)
+ $(use_with mem-scramble bash-malloc)
+ $(use_enable readline)
+ $(use_enable readline history)
+ $(use_enable readline bang-history)
+ )
myconf+=( --without-lispdir ) #335896
@@ -108,18 +123,7 @@ src_configure() {
# ncurses in one or two small places :(.
tc-export AR #444070
- econf \
- --with-installed-readline=. \
- --with-curses \
- $(use_with afs) \
- $(use_enable net net-redirections) \
- --disable-profiling \
- $(use_enable mem-scramble) \
- $(use_with mem-scramble bash-malloc) \
- $(use_enable readline) \
- $(use_enable readline history) \
- $(use_enable readline bang-history) \
- "${myconf[@]}"
+ econf "${myconf[@]}"
}
src_install() {
diff --git a/app-shells/bash/bash-4.2_p53.ebuild b/app-shells/bash/bash-4.2_p53.ebuild
index 000f5397f9cd..1e566e163edc 100644
--- a/app-shells/bash/bash-4.2_p53.ebuild
+++ b/app-shells/bash/bash-4.2_p53.ebuild
@@ -1,19 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="4"
+EAPI=7
-inherit eutils flag-o-matic toolchain-funcs
+inherit flag-o-matic toolchain-funcs
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-4.2-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -40,12 +40,20 @@ LIB_DEPEND=">=sys-libs/ncurses-5.2-r2[static-libs(+)]
nls? ( virtual/libintl )
readline? ( >=sys-libs/readline-6.2[static-libs(+)] )"
RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
-# we only need yacc when the .y files get patched (bash42-005)
DEPEND="${RDEPEND}
- virtual/yacc
static? ( ${LIB_DEPEND} )"
+# we only need yacc when the .y files get patched (bash42-005)
+BDEPEND="virtual/yacc"
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.2-execute-job-control.patch #383237
+ "${FILESDIR}"/${PN}-4.2-parallel-build.patch
+ "${FILESDIR}"/${PN}-4.2-no-readline.patch
+ "${FILESDIR}"/${PN}-4.2-read-retry.patch #447810
+ "${FILESDIR}"/${PN}-4.2-speed-up-read-N.patch
+)
pkg_setup() {
if is-flag -malign-double ; then #7332
@@ -61,28 +69,33 @@ src_unpack() {
src_prepare() {
# Include official patches
- [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
# Clean out local libs so we know we use system ones
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
# Avoid regenerating docs after patches #407985
sed -i -r '/^(HS|RL)USER/s:=.*:=:' doc/Makefile.in || die
- touch -r . doc/*
-
- epatch "${FILESDIR}"/${PN}-4.2-execute-job-control.patch #383237
- epatch "${FILESDIR}"/${PN}-4.2-parallel-build.patch
- epatch "${FILESDIR}"/${PN}-4.2-no-readline.patch
- epatch "${FILESDIR}"/${PN}-4.2-read-retry.patch #447810
- epatch "${FILESDIR}"/${PN}-4.2-speed-up-read-N.patch
+ touch -r . doc/* || die
- epatch_user
+ default
}
src_configure() {
- local myconf=()
+ local myconf=(
+ --with-installed-readline=.
+ --with-curses
+ $(use_with afs)
+ $(use_enable net net-redirections)
+ --disable-profiling
+ $(use_enable mem-scramble)
+ $(use_with mem-scramble bash-malloc)
+ $(use_enable readline)
+ $(use_enable readline history)
+ $(use_enable readline bang-history)
+ )
# For descriptions of these, see config-top.h
# bashrc/#26952 bash_logout/#90488 ssh/#24762 mktemp/#574426
@@ -113,18 +126,7 @@ src_configure() {
# ncurses in one or two small places :(.
tc-export AR #444070
- econf \
- --with-installed-readline=. \
- --with-curses \
- $(use_with afs) \
- $(use_enable net net-redirections) \
- --disable-profiling \
- $(use_enable mem-scramble) \
- $(use_with mem-scramble bash-malloc) \
- $(use_enable readline) \
- $(use_enable readline history) \
- $(use_enable readline bang-history) \
- "${myconf[@]}"
+ econf "${myconf[@]}"
}
src_install() {
diff --git a/app-shells/bash/bash-4.3_p48-r2.ebuild b/app-shells/bash/bash-4.3_p48-r2.ebuild
index 97bf26b8e8fc..d535737ea7ee 100644
--- a/app-shells/bash/bash-4.3_p48-r2.ebuild
+++ b/app-shells/bash/bash-4.3_p48-r2.ebuild
@@ -1,19 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="5"
+EAPI=7
-inherit eutils flag-o-matic toolchain-funcs multilib
+inherit flag-o-matic toolchain-funcs multilib
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-4.3-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -46,7 +46,7 @@ DEPEND=">=sys-libs/ncurses-5.2-r2:0=
RDEPEND="${DEPEND}
!<sys-apps/portage-2.1.6.7_p1"
# we only need yacc when the .y files get patched (bash42-005)
-DEPEND+=" virtual/yacc"
+BDEPEND="virtual/yacc"
PATCHES=(
"${FILESDIR}"/${PN}-4.3-mapfile-improper-array-name-validation.patch
@@ -55,7 +55,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-4.4-popd-offset-overflow.patch #600174
)
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
pkg_setup() {
if is-flag -malign-double ; then #7332
@@ -75,26 +75,36 @@ src_unpack() {
src_prepare() {
# Include official patches
- [[ ${PLEVEL} -gt 0 ]] && epatch $(patches -s)
+ [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
# Clean out local libs so we know we use system ones w/releases.
if [[ ${PV} != *_rc* ]] ; then
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
fi
# Avoid regenerating docs after patches #407985
sed -i -r '/^(HS|RL)USER/s:=.*:=:' doc/Makefile.in || die
- touch -r . doc/*
+ touch -r . doc/* || die
- epatch "${PATCHES[@]}"
-
- epatch_user
+ default
}
src_configure() {
- local myconf=()
+ local myconf=(
+ --docdir='$(datarootdir)'/doc/${PF}
+ --htmldir='$(docdir)/html'
+ --with-curses
+ $(use_with afs)
+ $(use_enable net net-redirections)
+ --disable-profiling
+ $(use_enable mem-scramble)
+ $(use_with mem-scramble bash-malloc)
+ $(use_enable readline)
+ $(use_enable readline history)
+ $(use_enable readline bang-history)
+ )
# For descriptions of these, see config-top.h
# bashrc/#26952 bash_logout/#90488 ssh/#24762 mktemp/#574426
@@ -145,19 +155,7 @@ src_configure() {
configure || die
fi
tc-export AR #444070
- econf \
- --docdir='$(datarootdir)'/doc/${PF} \
- --htmldir='$(docdir)/html' \
- --with-curses \
- $(use_with afs) \
- $(use_enable net net-redirections) \
- --disable-profiling \
- $(use_enable mem-scramble) \
- $(use_with mem-scramble bash-malloc) \
- $(use_enable readline) \
- $(use_enable readline history) \
- $(use_enable readline bang-history) \
- "${myconf[@]}"
+ econf "${myconf[@]}"
}
src_compile() {
diff --git a/app-shells/bash/bash-4.4_p23-r2.ebuild b/app-shells/bash/bash-4.4_p23-r2.ebuild
index 645851b12aff..518e64ef49f9 100644
--- a/app-shells/bash/bash-4.4_p23-r2.ebuild
+++ b/app-shells/bash/bash-4.4_p23-r2.ebuild
@@ -3,14 +3,14 @@
EAPI=7
-inherit eutils flag-o-matic toolchain-funcs multilib prefix
+inherit flag-o-matic toolchain-funcs multilib prefix
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-4.4-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
is_release() {
case ${PV} in
*_alpha*|*_beta*|*_rc*) return 1 ;;
@@ -19,7 +19,7 @@ is_release() {
}
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -58,7 +58,7 @@ RDEPEND="
${DEPEND}
"
# we only need yacc when the .y files get patched (bash42-005)
-#DEPEND+=" virtual/yacc"
+#BDEPEND="virtual/yacc"
S="${WORKDIR}/${MY_P}"
@@ -87,8 +87,8 @@ src_prepare() {
# Clean out local libs so we know we use system ones w/releases.
if is_release ; then
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
fi
@@ -97,7 +97,7 @@ src_prepare() {
# Avoid regenerating docs after patches #407985
sed -i -r '/^(HS|RL)USER/s:=.*:=:' doc/Makefile.in || die
- touch -r . doc/*
+ touch -r . doc/* || die
eapply_user
}
diff --git a/app-shells/bash/bash-5.0_p18.ebuild b/app-shells/bash/bash-5.0_p18.ebuild
index c40437fdc3a0..37017ab29296 100644
--- a/app-shells/bash/bash-5.0_p18.ebuild
+++ b/app-shells/bash/bash-5.0_p18.ebuild
@@ -3,14 +3,14 @@
EAPI=7
-inherit eutils flag-o-matic toolchain-funcs multilib prefix
+inherit flag-o-matic toolchain-funcs multilib prefix
# Official patchlevel
# See ftp://ftp.cwru.edu/pub/bash/bash-5.0-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
+PLEVEL="${PV##*_p}"
+MY_PV="${PV/_p*}"
+MY_PV="${MY_PV/_/-}"
+MY_P="${PN}-${MY_PV}"
is_release() {
case ${PV} in
*_alpha*|*_beta*|*_rc*) return 1 ;;
@@ -19,7 +19,7 @@ is_release() {
}
[[ ${PV} != *_p* ]] && PLEVEL=0
patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+ local opt=${1} plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
[[ ${plevel} -eq 0 ]] && return 1
eval set -- {1..${plevel}}
set -- $(printf "${pn}${pv/\.}-%03d " "$@")
@@ -58,7 +58,7 @@ RDEPEND="
${DEPEND}
"
# we only need yacc when the .y files get patched (bash42-005)
-#DEPEND+=" virtual/yacc"
+#BDEPEND="virtual/yacc"
S="${WORKDIR}/${MY_P}"
@@ -90,8 +90,8 @@ src_prepare() {
# Clean out local libs so we know we use system ones w/releases.
if is_release ; then
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
+ rm -rf lib/{readline,termcap}/* || die
+ touch lib/{readline,termcap}/Makefile.in || die # for config.status
sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
fi
@@ -100,7 +100,7 @@ src_prepare() {
# Avoid regenerating docs after patches #407985
sed -i -r '/^(HS|RL)USER/s:=.*:=:' doc/Makefile.in || die
- touch -r . doc/*
+ touch -r . doc/* || die
eapply -p0 "${PATCHES[@]}"
eapply_user
diff --git a/app-shells/bash/files/autoconf-mktime-2.59.patch b/app-shells/bash/files/autoconf-mktime-2.59.patch
index 3ac3ad1da867..33055a7be61a 100644
--- a/app-shells/bash/files/autoconf-mktime-2.59.patch
+++ b/app-shells/bash/files/autoconf-mktime-2.59.patch
@@ -1,6 +1,6 @@
http://bugs.gentoo.org/220040
---- configure
-+++ configure
+--- a/configure
++++ b/configure
@@ -5299,26 +6059,25 @@
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
diff --git a/app-shells/bash/files/bash-3.0-crash.patch b/app-shells/bash/files/bash-3.0-crash.patch
index 984e85d82ed3..38577e2a67ea 100644
--- a/app-shells/bash/files/bash-3.0-crash.patch
+++ b/app-shells/bash/files/bash-3.0-crash.patch
@@ -14,8 +14,8 @@
Thanks for the report. Here's a quick fix:
-*** arrayfunc.c~ Sat Nov 6 15:08:29 2004
---- arrayfunc.c Mon Jan 31 11:56:21 2005
+*** a/arrayfunc.c
+--- b/arrayfunc.c
***************
*** 709,713 ****
return ((char *)NULL);
diff --git a/app-shells/bash/files/bash-3.0-pgrp-pipe-fix.patch b/app-shells/bash/files/bash-3.0-pgrp-pipe-fix.patch
index 35b0b7d05924..46df6213b7a4 100644
--- a/app-shells/bash/files/bash-3.0-pgrp-pipe-fix.patch
+++ b/app-shells/bash/files/bash-3.0-pgrp-pipe-fix.patch
@@ -6,8 +6,8 @@ http://bugs.gentoo.org/92349
Patch from upstream
-*** jobs.c Wed Sep 8 11:08:16 2004
---- jobs.c Thu Jun 30 17:21:26 2005
+*** a/jobs.c
+--- b/jobs.c
***************
*** 3456,3459 ****
--- 3901,3907 ----
diff --git a/app-shells/bash/files/bash-3.0-read-builtin-pipe.patch b/app-shells/bash/files/bash-3.0-read-builtin-pipe.patch
index 466e45ae3004..0b90cc3dc2b2 100644
--- a/app-shells/bash/files/bash-3.0-read-builtin-pipe.patch
+++ b/app-shells/bash/files/bash-3.0-read-builtin-pipe.patch
@@ -7,8 +7,8 @@ http://lists.gnu.org/archive/html/bug-bash/2005-03/msg00168.html
http://lists.gnu.org/archive/html/bug-bash/2005-03/msg00173.html
http://bugs.gentoo.org/show_bug.cgi?id=87093
---- builtins/read.def
-+++ builtins/read.def
+--- a/builtins/read.def
++++ b/builtins/read.def
@@ -276,7 +276,7 @@
input_is_tty = isatty (fd);
if (input_is_tty == 0)
diff --git a/app-shells/bash/files/bash-3.0-trap-fg-signals.patch b/app-shells/bash/files/bash-3.0-trap-fg-signals.patch
index cde18326ed2d..c7010511853f 100644
--- a/app-shells/bash/files/bash-3.0-trap-fg-signals.patch
+++ b/app-shells/bash/files/bash-3.0-trap-fg-signals.patch
@@ -2,8 +2,8 @@ Don't barf on handled signals inside of scripts. Makes for nicer output.
patch by Martin Schlemmer <azarah@gentoo.org>
---- jobs.c
-+++ jobs.c
+--- a/jobs.c
++++ b/jobs.c
@@ -2893,11 +2893,11 @@
}
else if (IS_FOREGROUND (job))
diff --git a/app-shells/bash/files/bash-3.0-volatile-command.patch b/app-shells/bash/files/bash-3.0-volatile-command.patch
index 8b89b35914b1..87b9f25ffc21 100644
--- a/app-shells/bash/files/bash-3.0-volatile-command.patch
+++ b/app-shells/bash/files/bash-3.0-volatile-command.patch
@@ -4,8 +4,8 @@ Ripped from Debian
# being optimized away as dead code. In reality, the use of setjmp/longjmp
# makes it not dead code at all.
---- eval.old 2003-12-18 23:44:15.000000000 -0500
-+++ eval.c 2005-10-03 01:59:31.000000000 -0400
+--- a/eval.c
++++ b/eval.c
@@ -63,7 +63,7 @@
reader_loop ()
{
diff --git a/app-shells/bash/files/bash-3.1-ulimit.patch b/app-shells/bash/files/bash-3.1-ulimit.patch
index 432fb54966b8..8c2474825cf1 100644
--- a/app-shells/bash/files/bash-3.1-ulimit.patch
+++ b/app-shells/bash/files/bash-3.1-ulimit.patch
@@ -3,8 +3,8 @@ Ripped from Fedora
Add support for RLIMIT_NICE/RLIMIT_RTPRIO and add missing documentation
for many other options
---- builtins/ulimit.def
-+++ builtins/ulimit.def
+--- a/builtins/ulimit.def
++++ b/builtins/ulimit.def
@@ -24,7 +24,7 @@
$BUILTIN ulimit
$FUNCTION ulimit_builtin
@@ -58,8 +58,8 @@ for many other options
#ifdef RLIMIT_STACK
{ 's', RLIMIT_STACK, 1024, "stack size", "kbytes" },
#endif
---- doc/bashref.texi
-+++ doc/bashref.texi
+--- a/doc/bashref.texi
++++ b/doc/bashref.texi
@@ -3833,7 +3833,7 @@
@item ulimit
@btindex ulimit
@@ -89,8 +89,8 @@ for many other options
@item -s
The maximum stack size.
---- doc/bash.1
-+++ doc/bash.1
+--- a/doc/bash.1
++++ b/doc/bash.1
@@ -8490,7 +8490,7 @@
returns true if any of the arguments are found, false if
none are found.
diff --git a/app-shells/bash/files/bash-3.2-process-subst.patch b/app-shells/bash/files/bash-3.2-process-subst.patch
index bd0b3f4e1792..94877c62b316 100644
--- a/app-shells/bash/files/bash-3.2-process-subst.patch
+++ b/app-shells/bash/files/bash-3.2-process-subst.patch
@@ -1,7 +1,7 @@
Fix process substitution on BSD
---- execute_cmd.c
-+++ execute_cmd.c
+--- a/execute_cmd.c
++++ b/execute_cmd.c
@@ -2672,6 +2672,7 @@
do_piping (pipe_in, pipe_out);
diff --git a/app-shells/bash/files/bash-3.2-session-leader.patch b/app-shells/bash/files/bash-3.2-session-leader.patch
index 82f7d9806333..2e9286f34d40 100644
--- a/app-shells/bash/files/bash-3.2-session-leader.patch
+++ b/app-shells/bash/files/bash-3.2-session-leader.patch
@@ -7,8 +7,8 @@ condition. A result is that the child can then not then execute some commands
(like stty) from its init script (e.g. .bashrc). The result I (and others)
have seen is that the bash shell will hang while reading the init script.
-*** jobs.c.20080704 2008-07-10 15:14:13.000000000 -0400
---- jobs.c 2008-07-10 15:17:59.000000000 -0400
+*** a/jobs.c
+--- b/jobs.c
***************
*** 266,269 ****
--- 266,270 ----
diff --git a/app-shells/bash/files/bash-3.2-ulimit.patch b/app-shells/bash/files/bash-3.2-ulimit.patch
index a0975cb6e9a8..19ea7e6e5e33 100644
--- a/app-shells/bash/files/bash-3.2-ulimit.patch
+++ b/app-shells/bash/files/bash-3.2-ulimit.patch
@@ -1,7 +1,7 @@
add missing docs for -e and -r options
---- builtins/ulimit.def
-+++ builtins/ulimit.def
+--- a/builtins/ulimit.def
++++ b/builtins/ulimit.def
@@ -24,7 +24,7 @@
$BUILTIN ulimit
$FUNCTION ulimit_builtin
diff --git a/app-shells/bash/files/bash-4.1-fbsd-eaccess.patch b/app-shells/bash/files/bash-4.1-fbsd-eaccess.patch
index 576a8a47a619..3c5b5dd98d9b 100644
--- a/app-shells/bash/files/bash-4.1-fbsd-eaccess.patch
+++ b/app-shells/bash/files/bash-4.1-fbsd-eaccess.patch
@@ -4,8 +4,8 @@ executable files when run by root on FreeBSD.
See http://bugs.gentoo.org/303411
Patch from Johan Hattne <johan.hattne@utsuthwestern.edu>
---- lib/sh/eaccess.c.orig
-+++ lib/sh/eaccess.c
+--- a/lib/sh/eaccess.c.orig
++++ b/lib/sh/eaccess.c
@@ -198,11 +198,19 @@
char *path;
int mode;
diff --git a/app-shells/bash/files/bash-4.2-dev-fd-buffer-overflow.patch b/app-shells/bash/files/bash-4.2-dev-fd-buffer-overflow.patch
index bef960ab980c..d50c269b7e71 100644
--- a/app-shells/bash/files/bash-4.2-dev-fd-buffer-overflow.patch
+++ b/app-shells/bash/files/bash-4.2-dev-fd-buffer-overflow.patch
@@ -20,8 +20,8 @@ buffer to avoid buffer overflow.
Patch (apply with `patch -p0'):
-*** ../bash-4.2-patched/lib/sh/eaccess.c 2011-01-08 20:50:10.000000000 -0500
---- lib/sh/eaccess.c 2012-06-04 21:06:43.000000000 -0400
+*** bash-4.2/lib/sh/eaccess.c
+--- bash-4.2/lib/sh/eaccess.c
***************
*** 83,86 ****
--- 83,88 ----
diff --git a/app-shells/bash/files/bash-4.4-popd-offset-overflow.patch b/app-shells/bash/files/bash-4.4-popd-offset-overflow.patch
index c6ef19d03f5a..cc6b622eca34 100644
--- a/app-shells/bash/files/bash-4.4-popd-offset-overflow.patch
+++ b/app-shells/bash/files/bash-4.4-popd-offset-overflow.patch
@@ -1,8 +1,8 @@
https://bugs.gentoo.org/600174
https://lists.gnu.org/archive/html/bug-bash/2016-11/msg00099.html
-*** ../bash-4.4-patched/builtins/pushd.def 2016-01-25 13:31:49.000000000 -0500
---- builtins/pushd.def 2016-10-28 10:46:49.000000000 -0400
+*** bash-4.4/builtins/pushd.def
+--- bash-4.4/builtins/pushd.def
***************
*** 366,370 ****
}
diff --git a/app-shells/bash/files/bash-4.x-deferred-heredocs.patch b/app-shells/bash/files/bash-4.x-deferred-heredocs.patch
index 698d277a3db5..c6a6de44d36d 100644
--- a/app-shells/bash/files/bash-4.x-deferred-heredocs.patch
+++ b/app-shells/bash/files/bash-4.x-deferred-heredocs.patch
@@ -3,8 +3,8 @@ http://lists.gnu.org/archive/html/bug-bash/2010-03/msg00063.html
fix heredocs handling in `set` output
-*** ../bash-4.1-patched/print_cmd.c 2009-09-16 15:32:26.000000000 -0400
---- print_cmd.c 2010-03-22 21:15:30.000000000 -0400
+*** bash-4.1/print_cmd.c
+--- bash-4.1/print_cmd.c
***************
*** 114,117 ****
--- 114,123 ----